Subject: bug#44210: 28.0.50; project.el failed to work after customizing find-program to fd

From: Zhiwei Chen <[email-masked]>
Date: Mon, 18 Jan 2021 09:15:03 +0800

I think I replied to the wrong thread, so forwarded it again.

> I benchmark it again on linux, where find is of 4.7.0 version and fd is of 8.2.1 version.
> 
> Make sure the page cache is cleared before each benchmark.
> 
> > sudo sysctl -w vm.drop_caches=3
> 
> > cd llvm-project
> 
> > sudo sysctl -w vm.drop_caches=3
> > time fd > /tmp/fd_output
> 1.04s user 4.11s system 522% cpu 0.987 total
> 
> > sudo sysctl -w vm.drop_caches=3
> > time find > /tmp/find_output
> 0.06s user 0.20s system 7% cpu 3.354 total
> 
> Since ‘fd’ is a multi-threaded program, the CPU percent is > 100%.

-- 
Zhiwei Chen